Description

When defining the label engine settings, the "Show all
labels" option should be a layer property rather than an engine
setting.

Reply from Martin Dobias:

It's something that PAL does not currently support. But | agree
that it is sometimes useful to label all features even though that
would produce overlaps.

We could improve PAL to place labels in two steps:

1. label features from layers where all features must be labeled,
without collision detection

2. label features from the rest of layers with usual placement
algorithm, labels from step 1 act as obstacles

History

#1 - 2012-06-27 12:25 AM - Martin Dobias
- Assignee deleted (Martin Dobias)

#2 - 2012-09-04 04:51 PM - Larry Shaffer

Hi,

I've implemented a version of this in commit commit:a584a9a

It works very well for instances where you need to see many layers, but only 'show all labels' for one or two, like during extensive pin/unpin operations.

However, the implementation does not allow those 'show all' labels to become obstacles in the solution of other labels when collisions occur. The 'show all'
labels are dynamically solved for the layout, but will overlay or underlie other labels relative to chosen priority and layer render order during a collision.

Visual clarity can sometimes be increased by use of label and buffer transparency.

A more collision-proof solution for 'show all' labels would be Martin's suggestion (or something similar). Even then, with multiple 'show all' layers, collisions

would need to be addressed.

#3 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2013-05-20 11:21 PM - Denis Rouzaud

2025-12-15



http://lists.osgeo.org/pipermail/qgis-developer/2012-June/020757.html

Shall this issue be closed?

#5 - 2013-12-17 11:59 PM - Denis Rouzaud
- Status changed from Open to Closed
